# class Xapian::Enquire

Refer to the Xapian::Enquire C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

matching_terms(document, &block) click to toggle source

Get matching terms for some document. document can be either a Xapian::DocID or a Xapian::MSetIterator

    # File ../../../../../ruby/docs/xapian.rb, line 205
    def matching_terms(document, &block)
      Xapian._safelyIterate(self._dangerous_matching_terms_begin(document),
                            self._dangerous_matching_terms_end(document),
                            lambda { |item| Xapian::Term.new(item.term, item.wdf) },
                            &block)
    end